org.apache.cassandra.utils

## Class LegacyBloomFilterSerializer

- java.lang.Object
- - org.apache.cassandra.utils.LegacyBloomFilterSerializer

-     public class LegacyBloomFilterSerializer
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LegacyBloomFilterSerializer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `LegacyBloomFilter` | `deserialize(java.io.DataInput dis)`
    `void` | `serialize(LegacyBloomFilter bf, java.io.DataOutput dos)`
    `long` | `serializedSize(LegacyBloomFilter legacyBloomFilter)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LegacyBloomFilterSerializer

          public LegacyBloomFilterSerializer()

  - ### Method Detail

    - #### serialize

          public void serialize(LegacyBloomFilter bf,
                       java.io.DataOutput dos)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### deserialize

          public LegacyBloomFilter deserialize(java.io.DataInput dis)
                                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### serializedSize

          public long serializedSize(LegacyBloomFilter legacyBloomFilter)

Copyright © 2014 The Apache Software Foundation